# Uses of Class
org.eclipse.emf.compare.ide.internal.hook.ResourceSetHookRegistry

Packages that use ResourceSetHookRegistry
Package
Description
org.eclipse.emf.compare.ide
org.eclipse.emf.compare.ide.internal.hook
org.eclipse.emf.compare.ide.internal.utils

## Uses of ResourceSetHookRegistry in org.eclipse.emf.compare.ide

Methods in org.eclipse.emf.compare.ide that return ResourceSetHookRegistry
Modifier and Type
Method
Description
`ResourceSetHookRegistry`
EMFCompareIDEPlugin.`getResourceSetHookRegistry()`
Returns the `ResourceSetHookRegistry`.

## Uses of ResourceSetHookRegistry in org.eclipse.emf.compare.ide.internal.hook

Constructors in org.eclipse.emf.compare.ide.internal.hook with parameters of type ResourceSetHookRegistry
Modifier
Constructor
Description
``
`ResourceSetHookRegistryListener(org.eclipse.core.runtime.ILog log, ResourceSetHookRegistry registry)`
Constructor.

## Uses of ResourceSetHookRegistry in org.eclipse.emf.compare.ide.internal.utils

Methods in org.eclipse.emf.compare.ide.internal.utils with parameters of type ResourceSetHookRegistry
Modifier and Type
Method
Description
`static NotLoadingResourceSet`
NotLoadingResourceSet.`create(StorageTraversal traversals, org.eclipse.core.runtime.IProgressMonitor monitor, ResourceSetHookRegistry resourceSetHookRegistry)`
Constructs a resource set to contain the resources described by the given traversals.